from eventAPI import *
from APIUtils import *

def fireEvent(e):
   if (getTag(e, "lFlagU") != 0):
      return 1
   else:
      showMessage(e, ["This storage building holds much useless (to you, at least) junk. After rummaging through it, you find a few items of interest."])
      giveItems(e, ["Quick Bow", "Obsidian Arrows (20)", "Obsidian Arrows (20)", "Obsidian Arrows (20)", "Obsidian Arrows (20)", "Obsidian Arrows (20)", "Plate of Chitin"])
      showMessage(e, ["You discard the remaining items; junk is junk."])
      setTag(e, "lFlagU", 1)
      return 1
